function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	game_state.active_objects = {}
	
	local obj = play_field:GetObject('engine_active_zone');
    inventory_engine       = CreateInventory(obj:GetX() + 150,
                                        obj:GetY(),
                                        obj:GetZ() + 50.,
                                        'engine_active_zone',
                                        CreateItem('bulb_tool', 'bulb'),
                                        CreateItem('tank_tool', 'tank_scaled'),
                                        CreateItem('cyllinder_tool', 'cyllinder_scaled'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_36_1");
										
	inventory_engine.state_changer = "OnEngineComplete"
										
    inventory_engine.OnComplete = function()
		play_field:GetObject('veny'):ChangeOpacity(0, 1, 0.3)
		play_field:GetObject('dvig'):ChangeOpacity(0, 1, 0.3)
		play_field:GetObject('dvigok5'):ChangeOpacity(0, 1, 0.3)
		play_field:GetObject('elektro'):ChangeOpacity(0, 1, 0.3)		
		play_field:GetObject('razriad'):ChangeOpacity(0, 1, 0.3)
		play_field:GetObject('tk'):ChangeOpacity(0, 1, 0.3)
		play_field:GetObject('light'):ChangeOpacity(0, 1, 0.3)
		
		local af = CreateAnimationEffector()
		local obj = play_field:GetObject('razriad')
		local duration = GetAnimationLength(obj:GetAnimation())
		af:SetMode(_ANIM_LOOP)
		af:SetKey(_TRACK_O, 0, 0)
		af:SetKey(_TRACK_O, duration * 5 - 0.001, 0)
		af:SetKey(_TRACK_O, duration * 5, 1)
		af:SetKey(_TRACK_O, duration * 6, 1)
		af:SetKey(_TRACK_O, duration * 6 + 0.001, 0)
		af:AttachTo(obj)
		af:Play()
		
		local s = CreateSoundEntity("36_DevicesWork")
		s:AttachTo(play_field)
		s:Play(true)
    end					
	
	inventory_engine.OnShown = function()
		RegisterZoomZone(zoom_chest, 'chest_active_zone')
	end
	
	CreateTool('tank', 'tank_scaled')
	CreateTool('bulb', 'bulb')
	local t = CreateTool('cyllinder', 'cyllinder_scaled')
	
	t.OnSet = function()
	    zoom_chest.SetVisible(false)
		game_state.locker:Release()		
	end
	
	t.OnSuccess = function()
		UnregisterZoomZone(zoom_chest)
		--game_state.locked_objects['drawer_active_zone'] = true
	end
	
	t.OnFail = function()
	    play_field:ShowParticleLine(GetMouseX(),
                                    GetMouseY(),
                                    play_field:GetObject('chest_active_zone'):GetX(),
                                    play_field:GetObject('chest_active_zone'):GetY(),
                                    300)            
	end	
	
	play_field:GetObject('veny'):SetOpacity(0)
	play_field:GetObject('dvig'):SetOpacity(0)
	play_field:GetObject('dvigok5'):SetOpacity(0)
	
	play_field:GetObject('elektro'):SetOpacity(0)	
	play_field:GetObject('razriad'):SetOpacity(0)
	play_field:GetObject('tk'):SetOpacity(0)
	play_field:GetObject('light'):SetOpacity(0)
	
	play_field:IgnoreOnTestPoint('light')
	
	
	local obj = play_field:GetObject('pipeline_active_zone');	
	inventory_pipeline = CreateInventory(obj:GetX(),
                                        obj:GetY(),
                                        obj:GetZ() + 50.,
                                        'pipeline_active_zone',
                                        CreateItem('pipe1_tool', 'pipe1_scaled'),
										nil,
                                        CreateItem('pipe2_tool', 'pipe2_scaled'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_36_2");
	inventory_pipeline.state_changer = 'OnPipelineComplete'
										
	inventory_pipeline.OnComplete = function()
		play_field:GetObject('tryb1'):ChangeOpacity(0, 1, 0.3)
		play_field:GetObject('tryb2'):ChangeOpacity(0, 1, 0.3)		
		inventory_engine.Unlock()
	end
	
	CreateTool('pipe1', 'pipe1_scaled')
	CreateTool('pipe2', 'pipe2_scaled')
	
	
	play_field:GetObject('tryb1'):SetOpacity(0)
	play_field:GetObject('tryb2'):SetOpacity(0)	

	
	AddRandomTasks(18,
               CreateTask('WHEEL', '', 'wheel'),
               CreateTask('BINOCULAR', '', 'binocular'),
               CreateTask('CHAIN', '', 'chain'),
               CreateTask('COCKROACH', '', 'cockroach'),
               CreateTask('COMPASS', '', 'compass'),
               CreateTask('GYROSCOPE', '', 'gear'),
               CreateTask('GLOBE', '', 'globe'),
               CreateTask('HAT', '', 'hat'),
               CreateTask('HOOKAH', '', 'hookah'),
               CreateTask('HOURGLASS', '', 'hourglass'),
               CreateTask('LAMP', '', 'lamp'),
               CreateTask('MASK', '', 'mask'),
               CreateTask('MICROSCOPE', '', 'microscope'),
               CreateTask('PLANT', '', 'plant'),
               CreateTask('RULER', '', 'ruler'),
               CreateTask('SAW', '', 'saw'),
               CreateTask('SKULL', '', 'skull'),
               CreateTask('SWORD', '', 'sword')
	)
	
	zoom_chest = CreateZoomZone('close_zoom_chest',                                         
							  '',
							  'zoom_7',
							  'cyllinder')
    zoom_chest.SetOffsetZ(200)
							  
	InitChain1(screen);    
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
	InitChain2(screen);
	--game_state.chain2.final = true
    AddSheriffEyeLogic();
	
	game_state.meta_object = 'cigar36'
	pf:RegisterObjectSilhouette('hourglass', 'hourglassNS')
	
	game_state.OnStartingComicsComplete = function()
		inventory_pipeline.Unlock()
	end
	
	game_state.OnEngineComplete = function()
		play_field:GetObject('veny'):SetOpacity(1)
		play_field:GetObject('dvig'):SetOpacity(1)
		play_field:GetObject('dvigok5'):SetOpacity(1)
		play_field:GetObject('elektro'):SetOpacity(1)
		play_field:GetObject('razriad'):SetOpacity(1)
		play_field:GetObject('tk'):SetOpacity(1)
		play_field:GetObject('light'):SetOpacity(1)
		
		local af = CreateAnimationEffector()
		local obj = play_field:GetObject('razriad')
		local duration = GetAnimationLength(obj:GetAnimation())
		af:SetMode(_ANIM_LOOP)
		af:SetKey(_TRACK_O, 0, 0)
		af:SetKey(_TRACK_O, duration * 5 - 0.001, 0)
		af:SetKey(_TRACK_O, duration * 5, 1)
		af:SetKey(_TRACK_O, duration * 6, 1)
		af:SetKey(_TRACK_O, duration * 6 + 0.001, 0)
		af:AttachTo(obj)
		af:Play()
	end
	
	game_state.OnPipelineComplete = function()
		play_field:GetObject('tryb1'):SetOpacity(1)
		play_field:GetObject('tryb2'):SetOpacity(1)
		inventory_engine.Unlock()
	end
	
	game_state.OnMinigameConditionsComplete = function()
	    if game_state.do_not_load_mini_game then
	        return
	    end
	    play_field:SetEnabled(false)
	    TimerDo(play_field:GetTimer(), 3, game_state.chain2.Start)
	end
end

function InitChain1(screen)
    local comics1 = CreateComics(screen, 'Raphael');
    local comics2 = CreateComics(screen, 'Sheriff', 'eyes');    
    
    comics2.OnHidden = function()
		comics2.DefaultOnHidden();
		inventory_pipeline.Unlock()
	end
    
    game_state.chain1 = CreateChain('pixel_comics_1',
                                    screen,
                                    comics1, GetString("COMICS_36_1"),
                                    comics2, GetString("COMICS_36_2"));
end

function InitChain2(screen)
    local comics1 = CreateComics(screen, 'Raphael');    
    
    comics1.OnHidden = function()
		comics1.DefaultOnHidden();
		load_screen('data/Scenes/Minigames/36_picture.lua');
	end
    
    game_state.chain2 = CreateChain('pixel_comics_2',
                                    screen,
                                    comics1, GetString("COMICS_36_4"));
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnNotebookClosed()
    GetProfileManager():GetCurrentProfile():AddStateChanger('OnMinigameConditionsComplete')
	TimerDo(play_field:GetTimer(), 3, game_state.chain2.Start)
	--game_state.chain2.Start();
end

function OnUpdate(dt)
end

function OnScreenShown()
	game_state.chain1.Start()
end

function OnExit()
end

function OnMinigameCompleted()
	OnWin();
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end


function OnLostFocus()
end

function OnGainFocus()
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Layers/BG.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG',anim,512,384,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/binocular.png',0,0,69,33,1,0)
	anim:SetHotSpot(34,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('binocular',anim,648,564,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/bulb.png',0,0,46,93,1,0)
	anim:SetHotSpot(23,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bulb',anim,703,555,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/chain.png',0,0,82,115,1,0)
	anim:SetHotSpot(41,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('chain',anim,470,161,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/cockroach.png',0,0,71,43,1,0)
	anim:SetHotSpot(35,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cockroach',anim,575,699,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/compass.png',0,0,43,35,1,0)
	anim:SetHotSpot(21,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('compass',anim,373,503,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/gear.png',0,0,82,46,1,0)
	anim:SetHotSpot(41,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gear',anim,380,740,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/globe.png',0,0,66,85,1,0)
	anim:SetHotSpot(33,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('globe',anim,762,632,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/hat.png',0,0,83,66,1,0)
	anim:SetHotSpot(41,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hat',anim,322,68,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/hookah.png',0,0,43,74,1,0)
	anim:SetHotSpot(21,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hookah',anim,985,503,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/hourglass.png',0,0,91,76,1,0)
	anim:SetHotSpot(45,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hourglass',anim,287,472,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/lamp.png',0,0,65,96,1,0)
	anim:SetHotSpot(32,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp',anim,993,724,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/mask.png',0,0,62,72,1,0)
	anim:SetHotSpot(31,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,578,509,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/microscope.png',0,0,42,60,1,0)
	anim:SetHotSpot(21,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('microscope',anim,871,141,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/pipe.png',0,0,49,53,1,0)
	anim:SetHotSpot(24,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe',anim,925,705,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/plant.png',0,0,61,61,1,0)
	anim:SetHotSpot(30,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('plant',anim,402,67,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/ruler.png',0,0,107,36,1,0)
	anim:SetHotSpot(53,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ruler',anim,314,527,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/saw.png',0,0,145,76,1,0)
	anim:SetHotSpot(72,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saw',anim,656,659,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/skull.png',0,0,36,37,1,0)
	anim:SetHotSpot(18,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skull',anim,393,373,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/sword.png',0,0,56,131,1,0)
	anim:SetHotSpot(28,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword',anim,916,449,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/tank.png',0,0,98,128,1,0)
	anim:SetHotSpot(49,64)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tank',anim,978,596,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/wheel.png',0,0,85,67,1,0)
	anim:SetHotSpot(42,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wheel',anim,417,470,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Layers/globys layer.png',0,0,25,20,1,0)
	anim:SetHotSpot(12,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('globys layer',anim,766,658,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Layers/mikroskop layer.png',0,0,35,19,1,0)
	anim:SetHotSpot(17,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mikroskop layer',anim,869,160,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Layers/rastenie layer.png',0,0,25,11,1,0)
	anim:SetHotSpot(12,5)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rastenie layer',anim,408,97,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Layers/sepka layer.png',0,0,74,30,1,0)
	anim:SetHotSpot(37,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sepka layer',anim,481,121,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Animations/motor/veny.png',0,0,83,32,7,20)
	anim:SetHotSpot(42,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('veny',anim,233,519,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Animations/motor/Engine/dvig.png',0,0,122,95,3,25)
	anim:SetHotSpot(61,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dvig',anim,277,660,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Animations/motor/Engine/dvigok5.png',0,0,344,332,1,0)
	anim:SetHotSpot(172,166)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dvigok5',anim,168,605,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('engine_active_zone',anim,281,649,115,0,9,8)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/bulb.png',0,0,46,93,1,0)
	anim:SetHotSpot(23,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bulb_tool',anim,513,51,100,0,0.9,0.9)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/NoShadow/bak1.png',0,0,76,101,1,0)
	anim:SetHotSpot(38,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tank_tool',anim,569,58,100,0,0.7,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/NoShadow/bak1.png',0,0,76,101,1,0)
	anim:SetHotSpot(38,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tank_scaled',anim,972,586,100,0,0.7,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Animations/tk/tk.png',0,0,112,86,12,20)
	anim:SetHotSpot(56,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tk',anim,860,497,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Animations/razriad/razriad.png',0,0,204,74,11,25)
	anim:SetHotSpot(102,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('razriad',anim,696,188,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Layers/tryb1.png',0,0,125,38,1,0)
	anim:SetHotSpot(62,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tryb1',anim,780,385,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Layers/tryb2.png',0,0,105,84,1,0)
	anim:SetHotSpot(52,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tryb2',anim,673,427,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/pipe1.png',0,0,84,74,1,0)
	anim:SetHotSpot(42,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe1',anim,618,440,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/pipe2.png',0,0,104,98,1,0)
	anim:SetHotSpot(52,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe2',anim,785,650,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/pipe1_tool.png',0,0,79,68,1,0)
	anim:SetHotSpot(39,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe1_tool',anim,786,51,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/pipe2_tool.png',0,0,103,92,1,0)
	anim:SetHotSpot(51,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe2_tool',anim,874,55,100,0,0.7,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/pipe2_tool.png',0,0,103,92,1,0)
	anim:SetHotSpot(51,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe2_scaled',anim,785,648,100,0,0.7,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pipeline_active_zone',anim,806,346,100,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/pipe1_tool.png',0,0,79,68,1,0)
	anim:SetHotSpot(39,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe1_scaled',anim,618,441,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Layers/light.png',0,0,128,181,1,0)
	anim:SetHotSpot(64,90)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('light',anim,416,321,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('chest_active_zone',anim,522,462,100,0,8,7)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Zoom/zoom_7.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_7',anim,512,384,300,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Zoom/cyllinder.png',0,0,394,257,1,0)
	anim:SetHotSpot(197,128)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('cyllinder',anim,512,460,310,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Zoom/cyllinder.png',0,0,394,257,1,0)
	anim:SetHotSpot(197,128)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cyllinder_tool',anim,436,65,100,0,0.2,0.2)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Zoom/cyllinder.png',0,0,394,257,1,0)
	anim:SetHotSpot(197,128)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cyllinder_scaled',anim,530,475,100,0,0.2,0.2)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Animations/elektro.png',0,0,203,402,12,20)
	anim:SetHotSpot(102,201)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('elektro',anim,704,282,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,756,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eyes',anim,745,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Raphael.png',0,0,858,722,1,0)
	anim:SetHotSpot(429,361)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Raphael',anim,610,460,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/cigar36.png',0,0,109,65,1,0)
	anim:SetHotSpot(54,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar36',anim,511,685,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_laboratory_14/Items/NoShadow/hourglassNS.png',0,0,29,64,1,0)
	anim:SetHotSpot(14,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hourglassNS',anim,22,413,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
